<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
<title>::: Spring MVC-Boot-Data JPA Hibernate Bootstrap Jquery :::</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1">
<meta name="Content-Language" content="fr" />
<meta name="Description" content="" />
<meta name="Keywords" content=" Tutoriel Spring MVC-Boot-Data JPA Hibernate Bootstrap Jquery " />
<meta name="Subject" content="" />
<meta name="Content-Type" content="utf-8" />

<link href="../../css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" rel="stylesheet" />
<link href="../../css/dataTables.bootstrap4.min.css" th:href="@{/css/dataTables.bootstrap4.min.css}" rel="stylesheet" />

<style>
  .modal-header, h4, .close {
      background-color: #DF7401;
      color:white !important;
      text-align: left;
      font-size: 30px;
  }
  .modal-footer {
      background-color: #E6E6E6;
  }
  </style>
  
 <div th:replace="fragments/header :: header-css"/>

</head>
<body>

<!-- https://www.thymeleaf.org/doc/tutorials/3.0/usingthymeleaf.html -->

<div th:replace="fragments/header :: header"></div>

 <div class="container">

			
			
			<div th:switch="${typeAlert}">
    			 <div th:case="'new'" class="alert alert-success alert-dismissible fade show"
						role="alert">
						<strong th:text="${msgAlert}"></strong>
						<button type="button" class="close" data-dismiss="alert"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
				 </div>
				<div th:case="'update'" class="alert alert-primary alert-dismissible fade show"
					role="alert">
					<strong th:text="${msgAlert}"></strong>
					<button type="button" class="close" data-dismiss="alert"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div th:case="'delete'" class="alert alert-danger alert-dismissible fade show"
						role="alert">
						<strong th:text="${msgAlert}"></strong>
						<button type="button" class="close" data-dismiss="alert"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
				 </div>
			</div>
			
			<div th:if="${#lists.isEmpty(clients)}" class="alert alert-danger alert-dismissible fade show"
						role="alert">
						<strong>Aucun client trouvé!</strong> La liste des clients est vide !
			</div>
			
 	 

		<div th:if="${not #lists.isEmpty(clients)}"  class="row">
		<div class="col-md-11">
			<h1> Liste des Clients </h1>
		</div>
		<div class="col-md-1">
			<button class="btn btn-warning pull-right"	data-toggle="modal" data-target="#clearModal" data-dismiss="modal">
			 Supprimer Tout
			</button>
		</div>
		</div>
		
<!-- 		<table  id="prodtable" class="table table-striped"> -->
		<table th:if="${not #lists.isEmpty(clients)}"  id="prodtable" class="table table-striped table-bordered">
		
			<thead>
				<tr>
				   <th>#ID</th>
					<th>nom Client</th>
					<th>prenom Client</th>
					<th>civilite Client</th>
					<th>numero AdrClient</th>
					
					<th>Action</th>
				</tr>
			</thead>
			<tfoot>
        	    <tr>
 
				    <th>#ID</th>
					<th>nom Client</th>
					<th>prenom Client</th>
					<th>civilite Client</th>
					<th>numero AdrClient</th>
         	   </tr>
       		 </tfoot>
       	   <tbody>
			
		 		
 				
				<tr th:each="cl: ${clients}" 
				
				th:with=
				"getUrl=${'/client/get/'},
				updateUrl=${'/client/update/'},
				deleteUrl=${'/client/delete/'}
				"
				>	 
		  <!-- th:with sert à déclarer des variables locales tels que les URLs -->
				
					<td width="5%" th:text="${cl.idClient}" th:with="id=${cl.idClient}"></td>
					<td width="5%" th:text="${cl.nomClient}"></td>
					<td width="10%" th:text="${cl.prenomClient}"></td>
					<td width="10%" th:text="${cl.civiliteClient}"></td>
					<td width="10%" th:text="${cl.numeroAdrClient}"></td>
				
					<td>
						<button class="btn btn-success"	th:onclick="|window.location.href='@{${getUrl}+${cl.idClient}}'|" >
						show
						</button> 
						<button class="btn btn-primary" th:onclick="|window.location.href='@{${updateUrl}+${cl.idClient}}'|" >
						update
						</button>
						
						<button type="button" class="btn btn-danger" th:onclick="|window.location.href='@{${deleteUrl}+${cl.idClient}}'|" >
						detele
						</button>
						
<!-- 						<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal" data-dismiss="modal" > -->
<!-- 						detele -->
<!-- 						</button> -->
						
					</td>
				</tr>
				
		 </tbody>	
		</table>
		 <div class="modal fade" id="deleteModal" role="dialog">
		    <div class="modal-dialog">
		      <!-- Modal content-->
		      <div class="modal-content">
		        <div class="modal-header">
		          <button type="button" class="close" data-dismiss="modal">&times;</button>
			    	<h4> <span class="glyphicon  glyphicon-trash"></span> Confirmer Suppresion</h4>
		        </div>
		        <div class="modal-body">
			       <h3>êtes vous sûr de vouloir supprimer définitivement ce Client ?
			      	 <br><small>Sa suppression va engendrer la suppression de toutes ses commandes !</small>
			         <br><br><small>NB: Cette opération est irréversible !</small>
			        </h3>
		        </div>
		        <div class="modal-footer">
		           <button type="button" class="btn btn-default" data-dismiss="modal">
		          	 	<span class="glyphicon glyphicon-remove"></span>Annuler
		           </button>
		           
<!-- 		       <button type="button" class="btn btn-danger" data-toggle="modal" th:onclick="|window.location.href='@{${'/client/delete/'}+${id}}'|"   > -->
		           <button type="button" class="btn btn-danger" data-toggle="modal" onclick="#"   >
						<span class="glyphicon glyphicon-trash"></span> Supprimer
				  </button>
		        </div>
		      </div>
		      
		    </div>
		  </div>
		  <div class="modal fade" id="clearModal" role="dialog">
		    <div class="modal-dialog">
		      <!-- Modal content-->
		      <div class="modal-content">
		        <div class="modal-header">
		          <button type="button" class="close" data-dismiss="modal">&times;</button>
			    	<h4> <span class="glyphicon  glyphicon-trash"></span> Confirmer Vidage</h4>
		        </div>
		        <div class="modal-body">
			       <h3>êtes-vous sûr de vouloir vider la liste de toutes les Clients ? 
			      	 <br><small>Ce vidage engendrer systématiquement la suppression de toutes ses commandes!</small>
			      	 <br><br><small>NB: Cette opération est irréversible !</small>
			      	 
				   </h3>
		        </div>
		        <div class="modal-footer">
		           <button type="button" class="btn btn-default" data-dismiss="modal">
		          	 	<span class="glyphicon glyphicon-remove"></span>Annuler
		           </button>
		           <button type="button" class="btn btn-warning" th:onclick="|window.location.href='@{${'/client/clear'}}'|"  >
						<span class="glyphicon glyphicon-trash"></span> Supprimer Tout
				  </button>
		        </div>
		      </div>
		    </div>
	   </div>

 </div>  
 
<!-- /.container -->

<div th:replace="fragments/footer :: footer"></div>


<!-- https://datatables.net/examples/styling/bootstrap.html -->
<!-- https://datatables.net/examples/styling/bootstrap4 -->

<!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- JavaScript Placed at the end of the document so the pages load faster -->
  	<script src="../../js/jquery-3.3.1.slim.min.js" th:src="@{/js/jquery-3.3.1.slim.min.js}"></script>
    <script src="../../js/jquery.dataTables.min.js" th:src="@{/js/jquery.dataTables.min.js}"></script>
    <script src="../../js/bootstrap.min.js" th:src="@{/js/bootstrap.min.js}"></script>
    <script src="../../js/dataTables.bootstrap4.min.js" th:src="@{/js/dataTables.bootstrap4.min.js}"></script>

<script>	
// $(document).ready(function() {
//     $('#prodtable').DataTable();
// } );

// $(document).ready(function() {
//     $('#prodtable').dataTable( {
//         "language": {
//             "url": "dataTables.frensh.lang"
//         }
//     } );
// } );

$('#prodtable').DataTable( {
    language: {
        processing:     "Traitement en cours...",
        search:         "Rechercher&nbsp;:",
        lengthMenu:    "Afficher _MENU_ &eacute;l&eacute;ments",
        info:           "Affichage de l'&eacute;lement _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
        infoEmpty:      "Affichage de l'&eacute;lement 0 &agrave; 0 sur 0 &eacute;l&eacute;ments",
        infoFiltered:   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
        infoPostFix:    "",
        loadingRecords: "Chargement en cours...",
        zeroRecords:    "Aucun &eacute;l&eacute;ment &agrave; afficher",
        emptyTable:     "Aucune donnée disponible dans le tableau",
        paginate: {
            first:      "Premier",
            previous:   "Pr&eacute;c&eacute;dent",
            next:       "Suivant",
            last:       "Dernier"
        },
        aria: {
            sortAscending:  ": activer pour trier la colonne par ordre croissant",
            sortDescending: ": activer pour trier la colonne par ordre décroissant"
        }
    }
} );
</script>



</body>
</html>
		  